Package org.eclipse.emf.cdo.ui

# Interface CDOEditorInput3

All Superinterfaces:
  `CDOEditorInput`, `IAdaptable`, `IEditorInput`

public interface CDOEditorInput3 extends CDOEditorInput
An extension to `CDOEditorInput` that provides long-running `CDOView` opening.

Since:
  4.8
Author:
  Eike Stepper
See Also:
  - `IEditorInput`
  - `CDOEditorUtil`

## Method Summary

Modifier and Type
Method
Description
`CDOView`
`openView(IProgressMonitor progressMonitor)`
Opens the CDOView associated with this CDOEditorInput

### Methods inherited from interface org.eclipse.emf.cdo.ui.CDOEditorInput

`getResourcePath, getView, isViewOwned`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.IEditorInput

`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

## Method Details

### openView

CDOView openView(IProgressMonitor progressMonitor)
Opens the CDOView associated with this CDOEditorInput